# REPORT_EXPORT_PATH="C:\\ProgramData\\FortuneBet\\exported_reports" #prod env
REPORT_EXPORT_PATH ="./exported_reports"  #dev env

RESEND_SENDER_EMAIL=email
RESEND_API_KEY=123

ENV=development
PORT=8080
DB_URL=postgresql://root:secret@localhost:5422/gh?sslmode=disable
REFRESH_EXPIRY=2592000
JWT_KEY=mysecretkey
ACCESS_EXPIRY=600
LOG_LEVEL=debug
AFRO_SMS_API_KEY=1
AFRO_SMS_SENDER_NAME=

AFRO_SMS_RECEIVER_PHONE_NUMBER=
BET365_TOKEN=158046-hesJDP2Cay2M5G
POPOK_CLIENT_ID=1
POPOK_PLATFORM=111
POPOK_SECRET_KEY=XwFQ76Y59zBxGryh
# POPOK_BASE_URL=https://api.pokgaming.com/game/launch #Production
# POPOK_BASE_URL=https://games.pokgaming.com/launch   #Production
# POPOK_BASE_URL=https://sandbox.pokgaming.com/game/launch    #Staging
# POPOK_BASE_URL=https://test-api.pokgaming.com/launch   #Staging
POPOK_BASE_URL=https://st.pokgaming.com/   #Staging

POPOK_CALLBACK_URL=1

#Muli-currency Support
FIXER_API_KEY=3b0f1eb30d-63c875026d-sxy9pl
BASE_CURRENCY=ETB
FIXER_BASE_URL=https://api.apilayer.com/fixer

# Chapa API Configuration
CHAPA_TRANSFER_TYPE="Payout"
CHAPA_PAYMENT_TYPE="API"
CHAPA_BASE_URL="https://api.chapa.co/v1"
CHAPA_ENCRYPTION_KEY=zLdYrjnBCknMvFikmP5jBfen
CHAPA_PUBLIC_KEY=CHAPUBK_TEST-HJR0qhQRPLTkauNy9Q8UrmskPTOR31aC
CHAPA_SECRET_KEY=CHASECK_TEST-q3jypwmFK6XJGYOK3aX4z9Kogd9KaHhF
CHAPA_CALLBACK_URL="https://fortunebet.com/api/v1/payments/callback" # Optional
CHAPA_RETURN_URL="https://fortunebet.com/api/v1/payment-success" # Optional

#Alea Play
ALEA_ENABLED=true
ALEA_BASE_URL=https://api.aleaplay.com
ALEA_OPERATOR_ID=operator_id
ALEA_SECRET_KEY=hmac_secret
ALEA_GAME_LIST_URL=https://api.aleaplay.com/games/list  # Optional
ALEA_DEFAULT_CURRENCY=USD  # Optional (default: USD)
ALEA_SESSION_TIMEOUT=24    # Optional (hours, default: 24)
ALEA_GAME_ID_AVIATOR=aviator_prod  


# Veli Games
VELI_ENABLED=true
VELI_API_URL=https://api.velitech.games
VELI_OPERATOR_KEY=Veli123
VELI_SECRET_KEY=hmac_secret
VELI_GAME_ID_AVIATOR=veli_aviator_v1
VELI_DEFAULT_CURRENCY=USD
